#include "info_view.h"
#include "l3d.h"
#include "player.h"
#include "world_view.h"
#include "ship.h"

InfoView::InfoView(void) : View() {
  SetTransparency(false);
  SetBgColor(.0, .2, .4);

  float size[2];
  GetSize(size);

  info1 = new Gui::Label("Some star stuff.");
  Add(info1, 40, size[1]-40);
}

void InfoView::UpdateInfo(void) {
  char buf[512];
  std::string nfo;
  const ShipType& stype = L3D::player->GetShipType();
  nfo = "SHIP INFORMATION: "+std::string(stype.name);

  Equip::Type e = L3D::player->m_equipment.Get(Equip::SLOT_ENGINE);
  nfo += std::string("\n\nDrive system:   ")+EquipType::types[e].name;

  shipstats_t stats;
  L3D::player->CalcStats(&stats);
  snprintf(buf, sizeof(buf), "n\nCapacity:    %dt\n"
                             "Free:   %dt\n"
                             "Used:   %dt\n"
                             "All-up weight:    %dt", stats.max_capacity,
                             stats.free_capacity, stats.used_capacity,
                             stats.total_mass);
  nfo += std::string(buf);

  snprintf(buf, sizeof(buf), "\n\nHyperspace range: %.2f light years.", stats.hyperspace_range);
  nfo += std::string(buf);

  info1->SetText(nfo);
}

void InfoView::Draw3D(void) {

}

void InfoView::Update(void) {

}

